All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.session
Interface SummaryDataInterface

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  SummaryData

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface SummaryDataInterface

extends java.rmi.Remote

The SummaryDataInterface provides a mechanism for returning session summary information. Each session context can be bound to a user context. This contains a summary of the user information, such as the user context name, the user's email addresses, and the user's global profile.

Since:
  1.1

Method Summary
`abstract java.util.List` | `getEmailAddresses()` Get the email addresses defined for the person bound to this session.
`abstract long` | `getLoginTime()` Get the timestamp when the user was authenticated.
`abstract ProfileInterface` | `getProfile()` Get the global profile information for the person bound to this session.
`abstract java.lang.String` | `getSessionContextUniqueId()` Get the session context's unique id.
`abstract java.lang.String` | `getUniqueId()` Get the user's unique identifier.
`abstract java.lang.String` | `getUsername()` Get the name of the user context for this session.

Method Detail

### getProfile

    ProfileInterface getProfile()
                                throws java.rmi.RemoteException

  Get the global profile information for the person bound to this session.

  Returns:
    `ProfileInterface` the global profile
  Throws:
    `java.rmi.RemoteException` - if a network error occurs.

### getUsername

    java.lang.String getUsername()
                                 throws java.rmi.RemoteException

  Get the name of the user context for this session.

  Returns:
    `String`the user context name
  Throws:
    `java.rmi.RemoteException` - if a network error occurs.

### getEmailAddresses

    java.util.List getEmailAddresses()
                                     throws java.rmi.RemoteException

  Get the email addresses defined for the person bound to this session.

  Returns:
    `List` a list of Strings that represent the email addresses.
  Throws:
    `java.rmi.RemoteException` - if a network error occurs.

### getLoginTime

    long getLoginTime()
                      throws java.rmi.RemoteException

  Get the timestamp when the user was authenticated.

  Returns:
    A long representing the login date/time.
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

### getUniqueId

    java.lang.String getUniqueId()
                                 throws java.rmi.RemoteException

  Get the user's unique identifier. Since names aren't always unique, this is necessary to uniquely locate a user context from the user service.

  Returns:
    A String representing the user's unique identifier.
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

### getSessionContextUniqueId

    java.lang.String getSessionContextUniqueId()
                                               throws java.rmi.RemoteException

  Get the session context's unique id.

  Returns:
    A String representing the session context's unique identifier.
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.